#include <iostream>
#include <sstream>
using namespace std;
struct num{
int a[1002];
int len;
};

int parseInt(char n)
{
   stringstream ss;
   ss<<n;
   int r;
   ss>>r;
   return r;
}

void readNum (num &n)
{
   string s;
   cin>>s;
   n.len=s.length();
   for(int i=0; i<n.len; i++)
        n.a[i]=parseInt(s[n.len-i-1]);
}  

void writeNum(num &n)
{
   for(int i=n.len-1; i>=0; i--)
     cout<<n.a[i];
}

num add(num n1, num n2) // n1>=n2
{
   num res;
   res.len = n1.len;
   int carry=0;
   for(int i=0; i<n1.len; i++)
   {
      res.a[i]+=(n1.a[i]+n2.a[i]+carry)%10;
      carry=(n1.a[i]+n2.a[i]+carry)/10;
   }
   if(carry>0){
        res.len++;
        res.a[res.len-1]=carry;
     }
     return res;
}

num sub(num n1, num n2) // n1>=n2
{
   num res;
   res.len = n1.len;
   for(int i=0; i<n1.len; i++){
     res.a[i]=n1.a[i]-n2.a[i];}
   
   for(int i=0; i<res.len; i++){
     if(res.a[i]<0){
        res.a[i]+=10;
        res.a[i+1]-=1;
        }
   }
     if(res.a[res.len-1]==0)
       res.len--;
     
     return res;
}


int main()
{
   freopen("D.in","r",stdin);
   freopen("D.out","w",stdout);

   num N,A,B,res1,res2;
   readNum(N); readNum(A); readNum(B);
   res1=add(N,B);
   res2=sub(res1,A);
   writeNum(res2);
   return 0;
}
